Subject: RE: b20.1: Building error
From: [email-masked] (Kevin Schnitzius)

8 Jan 1999 22:31:36 -0800
Message-ID: <179AA48D1741D211821700805FFE241873CAC5.cygnus.gnu-win32@HQMAIL02>
To: "'Philippe Rouxel'" <[email-masked]>, [email-masked]

> From: Philippe Rouxel [mailto:[email-masked]]
> Sent: Friday, January 08, 1999 6:15 AM
> To: [email-masked]
> Subject: b20.1: Building error
> 
> 
> I try to build last release on a NT4sp3. cygwin32 b20 + 
> cygwin1.dll b20.1
> 1. cd /usr/home ( HOME for bash )
> 2. bzip2 -dc dev-tar.bz2 | tar xvf -
> 3. cd src
> 4. configure --host=i586-pc-cygwin32
> 5. make
> 
> I got the error:
> 	could not find install.sh in .. or in ./.. while 
> compling newlib in
> i586-pc-cygwin32 subdir.
> I copy it in i586-pc-cygwin32.
> I got the same error for config.guess and config.sub.
> after I got:
> 	could not find configure.host
> I copy it from src/newlib
> after I got:
> 	count find STL include file <list.h> in mmap.cc in winsup.

You have a couple of possible problems.  

First, you shouldn't build in the src directory.  I believe it causes
problems with include paths, but I'm not sure.  The minimal instructions say
that you should run the configure script from you obj directory.

Second, you may have a problem with binmode and binary mounts.  I use
text=binary and CYGWIN=binmode.  I have managed to build and modify my own
cygwin1.dll but I'm not sure that these are the correct settings.

Lastly, you may have a problem with stray environment variables.  Installing
the Windows SDK will automagically change your environment variables lib and
include.  I think there may be a problem with these paths getting imported
to the make environment.  I know I was stuck -- unable to build and I
removed these variables and the build completed successfully.

Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".